org.apache.sysds.runtime.codegen

## Enum SpoofCellwise.CellType

- java.lang.Object
- - java.lang.Enum<SpoofCellwise.CellType>
  - - org.apache.sysds.runtime.codegen.SpoofCellwise.CellType

- All Implemented Interfaces:
    Serializable, Comparable<SpoofCellwise.CellType>
  Enclosing class:
    SpoofCellwise

      public static enum SpoofCellwise.CellType
      extends Enum<SpoofCellwise.CellType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COL_AGG`
    `FULL_AGG`
    `NO_AGG`
    `ROW_AGG`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static SpoofCellwise.CellType` | `valueOf(int cellType)`
    `static SpoofCellwise.CellType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpoofCellwise.CellType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_AGG

          public static final SpoofCellwise.CellType NO_AGG

    - #### FULL_AGG

          public static final SpoofCellwise.CellType FULL_AGG

    - #### ROW_AGG

          public static final SpoofCellwise.CellType ROW_AGG

    - #### COL_AGG

          public static final SpoofCellwise.CellType COL_AGG

  - ### Method Detail

    - #### values

          public static SpoofCellwise.CellType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpoofCellwise.CellType c : SpoofCellwise.CellType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpoofCellwise.CellType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOf

          public static SpoofCellwise.CellType valueOf(int cellType)

    - #### getValue

          public int getValue()

Copyright © 2021 The Apache Software Foundation. All rights reserved.